CamelGroupwiseStoreSummary
3
CAMEL Library

# CamelGroupwiseStoreSummary

## Synopsis

                        CamelGroupwiseStoreInfo;
                        CamelGroupwiseStoreNamespace;
                        CamelGroupwiseStoreSummary;
    CamelGroupwiseStoreSummary* camel_groupwise_store_summary_new
                                                            (void);
    CamelGroupwiseStoreInfo* camel_groupwise_store_summary_full_name
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full_name);
    CamelGroupwiseStoreInfo* camel_groupwise_store_summary_add_from_full
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full,
                                                             char dir_sep);
    char*               camel_groupwise_store_summary_full_to_path
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_groupwise_store_summary_path_to_full
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);
    char*               camel_groupwise_store_summary_full_from_path
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *path);
    CamelGroupwiseStoreNamespace* camel_groupwise_store_summary_namespace_new
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    CamelGroupwiseStoreNamespace* camel_groupwise_store_summary_namespace_find_path
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *path);
    void                camel_groupwise_store_summary_namespace_set
                                                            (CamelGroupwiseStoreSummary *s,
                                                             CamelGroupwiseStoreNamespace *ns);
    #define             camel_groupwise_store_info_full_name(s, i)

## Description

## Details

### CamelGroupwiseStoreInfo

    typedef struct {
    	CamelStoreInfo info;
    	char *full_name;
    } CamelGroupwiseStoreInfo;

### CamelGroupwiseStoreNamespace

    typedef struct {
    	char *path;             /* display path */
    	char *full_name;        /* real name */
    	char sep;               /* directory separator */
    } CamelGroupwiseStoreNamespace;

### CamelGroupwiseStoreSummary

    typedef struct {
    	CamelStoreSummary summary;

    	struct _CamelGroupwiseStoreSummaryPrivate *priv;

    	/* header info */
    	guint32 version;        /* version of base part of file */
    	guint32 capabilities;
    	CamelGroupwiseStoreNamespace *namespace; /* eventually to be a list */
    } CamelGroupwiseStoreSummary;

### camel_groupwise_store_summary_new ()

    CamelGroupwiseStoreSummary* camel_groupwise_store_summary_new
                                                            (void);

Returns :

### camel_groupwise_store_summary_full_name ()

    CamelGroupwiseStoreInfo* camel_groupwise_store_summary_full_name
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full_name);

`s` :

`full_name` :

Returns :

### camel_groupwise_store_summary_add_from_full ()

    CamelGroupwiseStoreInfo* camel_groupwise_store_summary_add_from_full
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full,
                                                             char dir_sep);

`s` :

`full` :

`dir_sep` :

Returns :

### camel_groupwise_store_summary_full_to_path ()

    char*               camel_groupwise_store_summary_full_to_path
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_groupwise_store_summary_path_to_full ()

    char*               camel_groupwise_store_summary_path_to_full
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);

`s` :

`path` :

`dir_sep` :

Returns :

### camel_groupwise_store_summary_full_from_path ()

    char*               camel_groupwise_store_summary_full_from_path
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :

### camel_groupwise_store_summary_namespace_new ()

    CamelGroupwiseStoreNamespace* camel_groupwise_store_summary_namespace_new
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_groupwise_store_summary_namespace_find_path ()

    CamelGroupwiseStoreNamespace* camel_groupwise_store_summary_namespace_find_path
                                                            (CamelGroupwiseStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :

### camel_groupwise_store_summary_namespace_set ()

    void                camel_groupwise_store_summary_namespace_set
                                                            (CamelGroupwiseStoreSummary *s,
                                                             CamelGroupwiseStoreNamespace *ns);

`s` :

`ns` :

### camel_groupwise_store_info_full_name()

    #define camel_groupwise_store_info_full_name(s, i) (camel_store_info_string((CamelStoreSummary *)s, (const CamelStoreInfo *)i, CAMEL_STORE_INFO_LAST))

`s` :

`i` :